ngram_model_set_s Struct Reference

Subclass of ngram_model for grouping language models. More...

`#include <ngram_model_set.h>`

## Data Fields

ngram_model_t | base
| Base ngram_model_t structure.
int32 | n_models
| Number of models in this set.
int32 | cur
| Currently selected model, or -1 for none.
ngram_model_t ** | lms
| Language models in this set.
char ** | names
| Names for language models.
int32 * | lweights
| Log interpolation weights.
int32 ** | widmap
| Word ID mapping for submodels.
int32 * | maphist
| Word ID mapping for N-Gram history.

## Detailed Description

Subclass of ngram_model for grouping language models.

Definition at line 50 of file ngram_model_set.h.

## Field Documentation

## base

ngram_model_t ngram_model_set_s::base

Base ngram_model_t structure.

Definition at line 51 of file ngram_model_set.h.

Referenced by ngram_model_set_init().

## cur

int32 ngram_model_set_s::cur

Currently selected model, or -1 for none.

Definition at line 54 of file ngram_model_set.h.

Referenced by ngram_model_set_current(), ngram_model_set_current_wid(), ngram_model_set_init(), ngram_model_set_interp(), ngram_model_set_known_wid(), ngram_model_set_lookup(), and ngram_model_set_select().

## lms

ngram_model_t** ngram_model_set_s::lms

Language models in this set.

Definition at line 55 of file ngram_model_set.h.

Referenced by ngram_model_set_add(), ngram_model_set_init(), ngram_model_set_iter_model(), ngram_model_set_known_wid(), ngram_model_set_lookup(), ngram_model_set_map_words(), ngram_model_set_remove(), and ngram_model_set_select().

## lweights

int32* ngram_model_set_s::lweights

Log interpolation weights.

Definition at line 57 of file ngram_model_set.h.

Referenced by ngram_model_set_add(), ngram_model_set_init(), ngram_model_set_interp(), and ngram_model_set_remove().

## maphist

int32* ngram_model_set_s::maphist

Word ID mapping for N-Gram history.

Definition at line 59 of file ngram_model_set.h.

Referenced by ngram_model_set_add(), and ngram_model_set_init().

## n_models

int32 ngram_model_set_s::n_models

Number of models in this set.

Definition at line 53 of file ngram_model_set.h.

Referenced by ngram_model_set_add(), ngram_model_set_count(), ngram_model_set_init(), ngram_model_set_interp(), ngram_model_set_iter(), ngram_model_set_iter_next(), ngram_model_set_known_wid(), ngram_model_set_lookup(), ngram_model_set_map_words(), ngram_model_set_remove(), and ngram_model_set_select().

## names

char** ngram_model_set_s::names

Names for language models.

Definition at line 56 of file ngram_model_set.h.

Referenced by ngram_model_set_add(), ngram_model_set_current(), ngram_model_set_init(), ngram_model_set_interp(), ngram_model_set_iter_model(), ngram_model_set_lookup(), ngram_model_set_remove(), and ngram_model_set_select().

## widmap

int32** ngram_model_set_s::widmap

Word ID mapping for submodels.

Definition at line 58 of file ngram_model_set.h.

Referenced by ngram_model_set_add(), ngram_model_set_current_wid(), ngram_model_set_known_wid(), ngram_model_set_map_words(), and ngram_model_set_remove().

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/ngram_model_set.h